<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.segment (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../../org/apache/nutch/segment/package-summary.html" target="classFrame">org.apache.nutch.segment</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="SegmentMergeFilter.html" title="interface in org.apache.nutch.segment" target="classFrame"><span class="interfaceName">SegmentMergeFilter</span></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="ContentAsTextInputFormat.html" title="class in org.apache.nutch.segment" target="classFrame">ContentAsTextInputFormat</a></li>
<li><a href="SegmentChecker.html" title="class in org.apache.nutch.segment" target="classFrame">SegmentChecker</a></li>
<li><a href="SegmentMergeFilters.html" title="class in org.apache.nutch.segment" target="classFrame">SegmentMergeFilters</a></li>
<li><a href="SegmentMerger.html" title="class in org.apache.nutch.segment" target="classFrame">SegmentMerger</a></li>
<li><a href="SegmentMerger.ObjectInputFormat.html" title="class in org.apache.nutch.segment" target="classFrame">SegmentMerger.ObjectInputFormat</a></li>
<li><a href="SegmentMerger.SegmentMergerMapper.html" title="class in org.apache.nutch.segment" target="classFrame">SegmentMerger.SegmentMergerMapper</a></li>
<li><a href="SegmentMerger.SegmentMergerReducer.html" title="class in org.apache.nutch.segment" target="classFrame">SegmentMerger.SegmentMergerReducer</a></li>
<li><a href="SegmentMerger.SegmentOutputFormat.html" title="class in org.apache.nutch.segment" target="classFrame">SegmentMerger.SegmentOutputFormat</a></li>
<li><a href="SegmentPart.html" title="class in org.apache.nutch.segment" target="classFrame">SegmentPart</a></li>
<li><a href="SegmentReader.html" title="class in org.apache.nutch.segment" target="classFrame">SegmentReader</a></li>
<li><a href="SegmentReader.InputCompatMapper.html" title="class in org.apache.nutch.segment" target="classFrame">SegmentReader.InputCompatMapper</a></li>
<li><a href="SegmentReader.InputCompatReducer.html" title="class in org.apache.nutch.segment" target="classFrame">SegmentReader.InputCompatReducer</a></li>
<li><a href="SegmentReader.SegmentReaderStats.html" title="class in org.apache.nutch.segment" target="classFrame">SegmentReader.SegmentReaderStats</a></li>
<li><a href="SegmentReader.TextOutputFormat.html" title="class in org.apache.nutch.segment" target="classFrame">SegmentReader.TextOutputFormat</a></li>
</ul>
</div>
</body>
</html>
